class LoggingServiceBase {
    constructor() {
        Object.defineProperty(this, "mode", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        const mode = process.env.DYNAMODB_DATA_OPERATION_DEBUG_MODE;
        if (mode === "true") {
            this.mode = true;
        }
        else {
            this.mode = false;
        }
    }
    log(message, ...optionalParams) {
        if (this.mode) {
            console.log(message, optionalParams);
        }
    }
}
export const LoggingService = new LoggingServiceBase();
