import { BaseRepository } from "./base-repo";
import Joi from "@hapi/joi";
const schemaSubDef = {
    category: Joi.string().required(),
    amount: Joi.number().min(1),
    invoiceId: Joi.string().empty("").default(null).allow(null),
    transactionId: Joi.string().empty("").default(null).allow(null),
    remark: Joi.string().empty("").default(null).allow(null),
};
const getRandom = () => [Math.round(Math.random() * 99999), Math.round(Math.random() * 88), Math.round(Math.random() * 99)].reduce((prev, cur) => prev + cur, 0);
class MyRepositoryBase extends BaseRepository {
    constructor() {
        super({
            schemaSubDef,
            secondaryIndexOptions: [],
            featureEntityValue: "table_users",
        });
    }
    getIt() {
        return this.allQueryGetManyByConditionBase({
            partitionKeyQuery: {
                equals: 0,
            },
            fields: ["amount"],
            query: {
                amount: 9,
                category: { $gt: "" },
            },
        });
    }
    async create() {
        await this.allUpdateOneByIdBase({
            dataId: "",
            data: {
                amount: getRandom(),
                category: getRandom().toString(),
                invoiceId: getRandom().toString(),
                remark: getRandom().toString(),
                transactionId: getRandom().toString(),
            },
            withCondition: [
                {
                    field: "invoiceId",
                    equals: "",
                },
            ],
        });
    }
}
export const MyRepository = new MyRepositoryBase();
let count = 0;
function runInserts() {
    const tout = setInterval(() => {
        count++;
        console.log({ count });
        if (count >= 10) {
            clearInterval(tout);
            process.exit(0);
        }
        else {
            MyRepository.create().catch((e) => console.log(e));
        }
    }, 2000);
}
setTimeout(() => {
    console.log("Initializing");
    runInserts();
}, 10);
