import { GenericFriendlyError } from "../helpers/errors";
import { DynamoFilterQueryOperation } from "./dynamo-filter-query-operation";
import { DynamoQueryScanProcessor } from "./dynamo-query-scan-processor";
export interface DynamoFilterQueryMixin extends DynamoFilterQueryOperation, DynamoQueryScanProcessor {
}
export declare abstract class DynamoFilterQueryMixin {
    protected allHelpValidateRequiredNumber(keyValueValidates: {
        [key: string]: number;
    }): void;
    protected allHelpCreateFriendlyError(message: string, statusCode?: number): GenericFriendlyError;
    protected allHelpValidateRequiredString(keyValueValidates: {
        [key: string]: string;
    }): void;
}
export default DynamoFilterQueryMixin;
