import type { DynamoDB } from "aws-sdk";
import type { IDynamoPagingResult } from "../types";
import type { DocumentClient } from "aws-sdk/clients/dynamodb";
export declare abstract class DynamoQueryScanProcessor {
    protected __helperDynamoQueryProcessor<T>({ evaluationLimit, params, pageSize, lastKeyHash, orderDesc, hashKeyAndSortKey, dynamoDbClient, }: {
        dynamoDbClient: () => DocumentClient;
        evaluationLimit?: number;
        params: DynamoDB.QueryInput;
        pageSize?: number;
        lastKeyHash?: any;
        orderDesc?: boolean;
        hashKeyAndSortKey: [string, string];
    }): Promise<IDynamoPagingResult<T[]>>;
    private __helperDynamoQueryScanProcessor;
    private __encodeLastKey;
    private __createCustomLastEvaluationKey;
    private __decodeLastKey;
}
