declare type RequireAtLeastOne<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Pick<T, Exclude<Keys, K>>>;
}[Keys];
declare type RequireOnePropertyOnly<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Record<Exclude<Keys, K>, undefined>>;
}[Keys];
interface MenuItem {
    title: string;
    component: number;
    click: number;
    icon: string;
}
declare type ClickOrComponent = RequireAtLeastOne<MenuItem, keyof MenuItem>;
declare const gggr: ClickOrComponent;
